import axios from "../../utils/axios";

export function getCompany(query) {
    return axios(
        {
            url: "/warehouse/info/company",
            method: "get",
            params: query
        }
    );
}

export function modifyCompany(query) {
    return axios(
        {
            url: "/warehouse/info/modifyCompany",
            method: "post",
            data: query
        }
    );
}

export function getRefid(query) {
    return axios(
        {
            url: "/sale/info/refid",
            method: "get",
            params: query
        }
    );
}

export function checkCompany(query) {
    return axios(
        {
            url: "/salewarehouse/register/checkCompany",
            method: "get",
            params: query
        }
    );
}

export function getRegisterConfig(query) {
    return axios(
        {
            url: "/salewarehouse/register/getRegisterConfig",
            method: "get",
            params: query
        }
    );
}


export function getSubCompany(query) {
    return axios(
        {
            url: "/sale/info/getSubCompany",
            method: "get",
            params: query
        }
    );
}

export function getSubCompany2(query) {
    return axios(
        {
            url: "/sale/info/getSubCompany2",
            method: "get",
            params: query
        }
    );
}





